Modify

#1120 closed enhancement (alreadydoingthat)

In bitlbee -x, please add an option to create a hash for a null byte

Reported by: Nils Landt Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 3.2
Keywords: cli Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: any linux

Description

Hey guys, could you please add some sort of option to generate a password hash for a null byte when using bitlbee -x?

Null bytes can't be passed as arguments to shell functions, because null bytes are used to separate shell arguments.

I need this because I want to create configuration XML from another program (a Chef cookbook in this case), and the cleartext account password for an OAuth user who hasn't authenticated yet is \0

Attachments (0)

Change History (3)

comment:1 Changed at 2014-01-28T09:09:16Z by wilmer

wilmer@peer:~/src/bitlbee/devel$ ./bitlbee -x enc bla ''
EFQyksGW

Isn't that exactly what you need already?

comment:2 Changed at 2014-01-29T08:02:34Z by Nils Landt <bitlbee@…>

Thank you for the quick reply.

That is in fact what I needed - I just fucked up somewhere else and mistakenly thought the call with an empty string didn't do what I wanted.

Please close the ticket with my apologies.

comment:3 Changed at 2014-01-30T09:22:02Z by wilmer

Resolution: alreadydoingthat
Status: newclosed

No problem!

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.